+++
title = "Services hosted on jotoho.de"
description = "This page lists the various servers running under the jotoho.de domain name and by who and how they may be accessed."
date = 2021-06-29
updated = 2021-07-14
+++

Besides this website, my domain also has a number of other services/servers running that are set up for learning purposes or for personal use by myself, family and acquaintances.

* [Personal Nextcloud](https://nextcloud.jotoho.de): This Nextcloud instance is set up for use by myself and those I have invited to store, conveniently access and exchange files and other information. It also has an integrated Element webclient using the [Element App for Nextcloud](https://apps.nextcloud.com/apps/riotchat) for people to access the matrix server without having to install any software or trust third-party instances like `https://app.element.io`.
* [Matrix Homeserver](https://matrix.jotoho.de): I have set up a matrix homeserver primarily for my own use in order to participate in matrix rooms without having to use a server hosted by strangers or the overcrowded `matrix.org`-server, that I used previously.
(My matrix user is [`@jotoho:jotoho.de`](https://matrix.to/#/@jotoho:jotoho.de))
Family and friends may also get their own accounts here, if they want.
* [Pi-Hole](https://pihole.jotoho.de): I use a Pi-Hole to filter out unwanted content within my home network. For purposes of easy access and TLS-encryption the admin interface has a `jotoho.de`-address but it can only be accessed from home or via VPN for obvious security reasons.
* `*.lab.jotoho.de`: This is a testing subdomain for temporary servers and nothing running here is expected to live longer than a week. If you have questions or concerns about the systems running under `lab.jotoho.de` or its subdomains, you [may contact me via email](mailto:hostmaster@jotoho.de).
* Minecraft Server (rarely): If I am currently hosting a minecraft server for myself and friends, it will (almost) always be available to connect under `mc.jotoho.de` and use whitelisting to keep out strangers.

When I bought this domain, it became clear to me how very versatile and useful it can be to have a publicly listed internet namespace so I am always trying to find and learn new ways to put the domain to good use and try out new technologies & server-side software that I view as interesting or useful.

Things I may set up in the future:

* personal mastodon server
* a git server (like GitLab community edition)
* a self-hosted (outgoing) email server for configuring email notifications from the different servers (and maybe personal use)
